import os

SOEM_BASE_DIR = "@SOEM-INSTALL@"

def get_selfdir():
    """
    Get absolute name of the directory containing this init file.
    """
    path = os.path.abspath(os.path.dirname(__file__))
    return path

def get_soem_installed_dir():
    if SOEM_BASE_DIR.startswith("@"):
        return None
    return SOEM_BASE_DIR

def get_source_dir():
    """
    Give the directory containing the runtime source files, if installed.
    """
    path = get_selfdir()
    test_code_file = os.path.join(path, 'memory.c')
    if os.path.isfile(test_code_file):
        return path
    return None

def get_buffered_code_files():
    code_files = ['msgbox.c', 'buffer.c', 'error_storage.c']
    return get_unbuffered_code_files() + code_files

def get_unbuffered_code_files():
    # Note: 'memory.c' should be in this list, or code detection fails.
    code_files = [
            'ebox_device.c', 'ek1xxx_device.c', 'el1xxx_device.c',
            'el2xxx_device.c', 'el3xxx_device.c', 'el4xxx_device.c',
            'el5xxx_device.c', 'soem_devices.c', 'soem_handling.c',
            'filterblock.c', 'triggerblock.c', 'function_generators.c',
            'memory.c', 'nanotime.c', 'stdincludes.c']

    return code_files
