
/** @file stdincludes.c Support for standard included functionality. */

#include "stdincludes.h"

/**
 * Crash due to arriving at an unexpected place.
 * @param fname Name of the file where the error occurred.
 * @param line Line number in the file where the error occurred.
 * @note This function does not return.
 */
void not_reached(const char *fname, int line) {
    fprintf(stderr, "Reached NOT_REACHED in \"%s\", line %d\n", fname, line);
    abort();
}

